SkinMobile needs to be properly registered
Closed, ResolvedPublic

Description

Because the system knows about it only when it's set as current skin by a hook, requests like the one in the URL field return Vector's styles. Looks like this needs core support.


Version: unspecified
Severity: enhancement
URL: http://bits.wikimedia.org/zh.wikipedia.org/load.php?debug=true&lang=zh&modules=site&only=styles&skin=SkinMobile&*

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz36636.
MaxSem created this task.Via LegacyMay 8 2012, 10:55 AM
bzimport added a comment.Via ConduitApr 28 2013, 5:05 PM
Jdlrobson added a comment.Via ConduitMay 6 2013, 11:14 PM

mw.config.get( 'skin' ) currently returns vector. Now we are using minerva we should call ourselves minerva.

I was talking to Matt and CentralNotice could do with this to distinguish between skins in deciding which banner to serve.

Awjrichards added a comment.Via ConduitSep 20 2013, 7:53 PM

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1191

bzimport added a comment.Via ConduitNov 16 2013, 12:40 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1419

gerritbot added a comment.Via ConduitDec 20 2013, 1:21 AM

Change 102866 had a related patch set uploaded by Jdlrobson:
Offer the blue pill or the red pill

https://gerrit.wikimedia.org/r/102866

Jdlrobson added a comment.Via ConduitDec 23 2013, 8:53 PM
  • Bug 57127 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJan 31 2014, 12:23 AM

Change 102866 merged by jenkins-bot:
Beta Feature: Register mobile skin, offer users the ability to change it

https://gerrit.wikimedia.org/r/102866

gerritbot added a comment.Via ConduitMar 11 2014, 1:03 AM

Change 118037 had a related patch set uploaded by Jdlrobson:
Make sure Minerva is registered as a valid skin

https://gerrit.wikimedia.org/r/118037

Jdlrobson added a comment.Via ConduitMar 11 2014, 1:04 AM

After discussing with Ryan, we actually realised we can register it but stop it from being user facing. So that's what's happening!

gerritbot added a comment.Via ConduitMar 11 2014, 1:05 AM

Change 118037 merged by jenkins-bot:
Make sure Minerva is registered as a valid skin

https://gerrit.wikimedia.org/r/118037

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.